Application Development Discussions
Join the discussions or start your own on all things application development, including tools and APIs, programming models, and keeping your skills sharp.
cancel
Showing results for 
Search instead for 
Did you mean: 

Error sapjco3.dll

marius_stoica2
Active Participant
0 Kudos

Hi gurus,


I tried to run Eclipse right after installation and adding the UI5 addon but it gave the attached error (no sapjco3 in java.librabry.path).

I tried the option from the link I found on SCN (), it does not help.

I also searched for sapjco3.dll file in the Eclipse folder but it did not find anything.

That is why:

  • I downloaded sapjco archive from SAP Marketplace
  • put it in a folder and extract
  • added that folder to the PATH system enviroment variable on Windows Server 2012
  • and then it gave the error about the version being too old (D:\sapjco\sapjco3.dll has version "720.612", but required is at least version "721.215”)

If you have any idea how we can move past this error it would be quite helpful.


Thank you in advance,

Marius

1 ACCEPTED SOLUTION

former_member201346
Active Participant
0 Kudos

I don't know if the explicite installation of jco was a good idea (as metioned in the linked discussion).

Which Eclipse version do you run on which operating system?

We have seen the "no sapjco3 in java.librariy.path" when Eclipse was not able to identify the operating system it runs on.

For details check note 2041195.

Regards, Felix

4 REPLIES 4

former_member201346
Active Participant
0 Kudos

I don't know if the explicite installation of jco was a good idea (as metioned in the linked discussion).

Which Eclipse version do you run on which operating system?

We have seen the "no sapjco3 in java.librariy.path" when Eclipse was not able to identify the operating system it runs on.

For details check note 2041195.

Regards, Felix

0 Kudos

Eclipse version Juno 4.2, on Windows Server 2012

0 Kudos

Hi Marius,

I was able to reproduce the issue on a Windows Server 2012 system and the solution described in note 2041195 solved it. So please remove the jco-library you have installed in addition from the PATH and apply the solution described in note 2041195.

Regards, Felix

PS: Keep in the mind to check if the required Microsoft librariy is available on your system.

https://tools.hana.ondemand.com/#abap

0 Kudos

Solved, thank you.